# Generated by Django 2.1 on 2020-10-10 22:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('crm', '0005_auto_20201011_0107'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActiveClientsReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ActiveClientsReportData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_fullname', models.CharField(db_index=True, max_length=255)),
                ('source_of_attraction', models.CharField(blank=True, max_length=255, null=True)),
                ('abonement_name', models.CharField(max_length=255)),
                ('date_of_sale', models.DateField()),
                ('date_of_start_abonement', models.DateField()),
                ('date_of_finish_abonement', models.DateField()),
                ('abonement_price', models.PositiveIntegerField()),
                ('groups', models.ManyToManyField(to='crm.CrmGroup')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.ActiveClientsReport')),
            ],
        ),
        migrations.CreateModel(
            name='CashboxReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('cash', models.PositiveIntegerField(blank=True, null=True)),
                ('terminal', models.PositiveIntegerField(blank=True, null=True)),
                ('total', models.PositiveIntegerField(blank=True, null=True)),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ClientDebtReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ClientDebtReportData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('client_fullname', models.CharField(db_index=True, max_length=255)),
                ('activation', models.BooleanField(default=False)),
                ('date_of_start_abonement', models.DateField(blank=True, null=True)),
                ('date_of_finish_abonement', models.DateField(blank=True, null=True)),
                ('debt_sum', models.PositiveIntegerField()),
                ('abonement', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Sale')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.ClientDebtReport')),
            ],
        ),
        migrations.CreateModel(
            name='IncomingMoneyData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('money', models.PositiveIntegerField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='IncomingMoneyReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PromoDiscountReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PromoDiscountReportDataPromo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('promo_discount_name', models.CharField(db_index=True, max_length=255)),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.PromoDiscountReport')),
            ],
        ),
        migrations.CreateModel(
            name='PromoDiscountReportDataSale',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_of_sale', models.DateTimeField()),
                ('client_fullname', models.CharField(max_length=255)),
                ('client_profile_url', models.CharField(max_length=255)),
                ('price_without_discount', models.PositiveIntegerField()),
                ('price_with_discount', models.PositiveIntegerField()),
                ('type_of_discount', models.CharField(choices=[('PROCENT', 'Проценты'), ('MONEY', 'Гривны')], default='MONEY', max_length=120)),
                ('discount', models.IntegerField()),
                ('groups', models.ManyToManyField(to='crm.CrmGroup')),
                ('promotion_data', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.PromoDiscountReportDataPromo')),
            ],
        ),
        migrations.CreateModel(
            name='SalesByGroupsReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('total_sales_abon_count', models.PositiveIntegerField(default=0)),
                ('total_count_payments', models.PositiveIntegerField(default=0)),
                ('total_sum', models.PositiveIntegerField(default=0)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SalesByGroupsReportData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('duration', models.PositiveIntegerField()),
                ('sales_count', models.PositiveIntegerField()),
                ('count_payment_by_installment', models.PositiveIntegerField()),
                ('income_money', models.PositiveIntegerField()),
                ('abonement', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Abonement')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.SalesByGroupsReport')),
            ],
        ),
        migrations.CreateModel(
            name='SalesToGroupReport',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('date_from', models.DateTimeField()),
                ('date_to', models.DateTimeField()),
                ('period', models.CharField(choices=[('DAY', 'День'), ('CURRENT_MONTH', 'Текущий месяц'), ('PREV_MONTH', 'Прошлый месяц'), ('CURRENT_YEAR', 'Текущий год'), ('PREV_YEAR', 'Прошлый год')], max_length=100)),
                ('total_money', models.PositiveIntegerField(default=0)),
                ('departament', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='crm.Departament')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Profile')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SalesToGroupReportData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sales_date', models.DateField()),
                ('abonement_name', models.CharField(max_length=255)),
                ('income_money', models.PositiveIntegerField()),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.Client')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='crm.CrmGroup')),
                ('report', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.SalesToGroupReport')),
            ],
        ),
        migrations.AddField(
            model_name='incomingmoneydata',
            name='report',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='reports.IncomingMoneyReport'),
        ),
    ]
